import http from '@/utils/http'
import { A2AddType, A2editType } from '@/types/api/A2introduction'

/**
 * 克博简介-添加、编辑
 */
export const A2_APIaddOrEdit = (data: A2AddType | A2editType) => {
  return http.post(`museum/introContext/saveOrEdit`, data)
}

/**
 * 克博简介-获取详情
 */
export const A2_APIgetInfo = (type: number) => {
  return http.post(`museum/introContext/info/${type}`)
}

/**
 * 克博简介-发布
 */
export const A2_APIpublish = (contextId: number) => {
  return http.post(`museum/introContext/publish`, { contextId })
}
